TV_GRAB_ZA(1)

NAME
tv_grab_za - Grab TV listings for South Africa.

SYNOPSIS
tv_grab_za --help

tv_grab_za [--config-file FILE] --configure [--gui OPTION]

tv_grab_za [--config-file FILE] [--output FILE] [--days N]
       [--quiet] [--retries N]

DESCRIPTION
Output TV listings for DSTV channels available in South Africa. The data comes from www.dstv.com. The grabber relies on parsing HTML so it might stop working at any time.

First run tv_grab_za --configure to choose, which channels you want to download. Then running tv_grab_za with no arguments will output listings in XML format to standard output.

--configure Prompt for which channels, and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_za.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of XMLTV::ProgressBar.

--output FILE write to FILE rather than standard output.

--days N grab N days. Can be 1, 7, 14 or 30. Default is 14

--quiet suppress the progress messages normally written to standard error.

--retries number of retries before failing channel download.

--help print a help message and exit.

SEE ALSO
xmltv(5).

AUTHORS Chris Picton <cpicton@users.sf.net> Neil Garratt <ngarratt@users.sf.net>
Based on tv_grab_fi by Matti Airas.

Latest version always available at http://xmltv.cvs.sourceforge.net/xmltv/xmltv/grab/za/

BUGS
Does not automatically update itself, when DSTV changes their site